Name: x11-driver-video-newport
Version: 0.2.1
Release: %mkrel 7
Summary: The X.org video driver for SGI Indy's and Indigo2's Newport video cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-newport-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-newport is the X.org video driver for SGI Indy's and
Indigo2's Newport video cards.

%prep
%setup -q -n xf86-video-newport-%{version}

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xorg/modules/drivers/newport_drv.la
%{_libdir}/xorg/modules/drivers/newport_drv.so
%{_mandir}/man4/newport.*


%changelog
* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 0.2.1-7mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.com> 0.2.1-6mdv2009.1
+ Revision: 308272
- rebuild for new X server

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - improved description

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.2.1-4mdv2008.1
+ Revision: 165572
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.2.1-3mdv2008.1
+ Revision: 156612
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.2.1-2mdv2008.1
+ Revision: 154856
- Don't need to check for dri headers and runtime.
  Addition of check was in error.
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Propert use existing tag xf86-video-newport-0.2.1 and generate patches from
  that tag.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.2.1-1mdv2008.1
+ Revision: 98653
- new upstream version: 0.2.1
- minor spec cleanup

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdv2008.0
+ Revision: 75783
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 15:39:01 (31704)
- fill in summary & descriptions for all video drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

